$(document).ready(function(){
    load(1);
});

function load(page){
    var q= $("#q").val();
    $("#loader").fadeIn('slow');
    $.ajax({
        url:'php_combos/tabla_combos.php?action=ajax&page='+page+'&q='+q,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
    },
    success:function(data){
    $(".outer_div").html(data).fadeIn('slow');
    $('#loader').html('');
      
    }
  })
}

function estado(art_id)
{
    $.ajax
    ({
        type: "POST",
        url: "php_articulo/cambiar_estado.php",
        data: "art_id="+art_id,
        success: function(datos){
        $(".loader").html(data).fadeIn('slow');  
        $("#resultados").html(datos);
        load(1);
        }
    });
} 

$( "#form_combo" ).submit(function( event ) {
    $('#registrar_com').attr("disabled", true);
    var formData = new FormData($("#form_combo")[0]);
    var ruta = "php_combos/registrar_combo.php";
    $.ajax({
        type: "POST",
        url: ruta,
        data: formData,
        contentType: false,
        processData: false, 
        beforeSend: function(objeto){
            $('#combo').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
            $("#combo").html(datos);
            $('#registrar_com').attr("disabled", false);
            load(1);
            loadTabla();
            loadTablasabores();
        }
    });
  event.preventDefault();
})


$( "#form_combo_mod" ).submit(function( event ) {
    $('#modificar_com').attr("disabled", true);
    var formData = new FormData($("#form_combo_mod")[0]);
    var ruta = "php_combos/editar_combo.php";
    $.ajax({
        type: "POST",
        url: ruta,
        data: formData,
        contentType: false,
        processData: false, 
        beforeSend: function(objeto){
         $('#combo').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#combo").html(datos);
      $('#modificar_com').attr("disabled", false);
      load(1);
      loadTabla();
      }
  });
  event.preventDefault();
})


$(document).ready(function() 
{  
    $('#art_referencia').blur(function(){
    $('#Info_referencia').html('<img src="img/ajax-loader.gif" alt="" height="16px"  />').fadeOut(1000);
    var art_referencia = $(this).val();    
    var dataString = 'art_referencia='+art_referencia;
    $.ajax({
            type: "POST",
            url: "php_combos/verificar_combo_referencia.php",
            data: dataString,
            success: function(data) {
        $('#Info_referencia').fadeIn(1000).html(data);
            }
        });
    });              
}); 


$(document).ready(function() 
{  
  $ ('#art_barras').blur(function(){
    $('#Info_barras').html('<img src="img/ajax-loader.gif" alt="" height="16px"  />').fadeOut(1000);
    var art_barras = $(this).val();    
    var dataString = 'art_barras='+art_barras;
    $.ajax({
            type: "POST",
            url: "php_combos/verificar_combo_barras.php",
            data: dataString,
            success: function(data) {
        $('#Info_barras').fadeIn(1000).html(data);
            }
        });
    });              
});  